Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.twitterapime.parser
Class DefaultXMLHandler

    java.lang.Object
      com.twitterapime.parser.DefaultXMLHandler

All Implemented Interfaces:
  Handler, XMLHandler

Direct Known Subclasses:
  AccountHandler, DirectMessageHandler, GeoLocationHandler, HttpResponseCodeErrorHandler, RateLimitStatusHandler, SearchResultHandler, StatusHandler, TimelineHandler, TweetHandler, UserAccountHandler

    public class DefaultXMLHandler

extends java.lang.Object
implements XMLHandler

This class defines a default XML document handler.

Since:
  1.1
Version:
  1.0
Author:
  Ernandes Mourao Junior (ernandes@gmail.com)

Field Summary
`protected java.lang.String` | `xmlPath` Current reading path.

Constructor Summary
`DefaultXMLHandler()`

Method Summary
`void` | `endDocument()` Callback method called to notify the end of the document.
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)` Callback method called to notify the end of a element in the document.
`void` | `startDocument()` Callback method called to notify the start of the document.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, Attributes attrs)` Callback method called to notify the start of a element in the document.
`void` | `text(java.lang.String text)` Callback method called to notify a string data inside an element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlPath

    protected java.lang.String xmlPath

  Current reading path.

Constructor Detail

### DefaultXMLHandler

    public DefaultXMLHandler()

Method Detail

### startDocument

    public void startDocument()
                       throws ParserException

  Description copied from interface: `XMLHandler`

  Callback method called to notify the start of the document.

  Specified by:
    `startDocument` in interface `XMLHandler`
  Throws:
    `ParserException` - If a parser error occurs.
  See Also:
    `XMLHandler.startDocument()`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             Attributes attrs)
                      throws ParserException

  Description copied from interface: `XMLHandler`

  Callback method called to notify the start of a element in the document.

  Specified by:
    `startElement` in interface `XMLHandler`
  Parameters:
    `namespaceURI` - URI.
    `localName` - The local name.
    `qName` - The qualified name.
    `attrs` - The specified or defaulted attributes.
  Throws:
    `ParserException` - If a parser error occurs.
  See Also:
    `XMLHandler.startElement(java.lang.String, java.lang.String, java.lang.String, com.twitterapime.parser.Attributes)`

### text

    public void text(java.lang.String text)
              throws ParserException

  Description copied from interface: `XMLHandler`

  Callback method called to notify a string data inside an element.

  Specified by:
    `text` in interface `XMLHandler`
  Parameters:
    `text` - String data.
  Throws:
    `ParserException` - If a parser error occurs.
  See Also:
    `XMLHandler.text(java.lang.String)`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws ParserException

  Description copied from interface: `XMLHandler`

  Callback method called to notify the end of a element in the document.

  Specified by:
    `endElement` in interface `XMLHandler`
  Parameters:
    `namespaceURI` - URI.
    `localName` - The local name.
    `qName` - The qualified name.
  Throws:
    `ParserException` - If a parser error occurs.
  See Also:
    `XMLHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

### endDocument

    public void endDocument()
                     throws ParserException

  Description copied from interface: `XMLHandler`

  Callback method called to notify the end of the document.

  Specified by:
    `endDocument` in interface `XMLHandler`
  Throws:
    `ParserException` - If a parser error occurs.
  See Also:
    `XMLHandler.endDocument()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Twitter API ME Team. All Rights Reserved.